<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: /home/dan/work/DUNE/dune-wib.firmware/trunk/src/dif_io_bir.vhd Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dif_io_bir.vhd</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="keyword">-- megafunction wizard: %ALTIOBUF%</span><span class="keyword"></span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="keyword">-- GENERATION: STANDARD</span><span class="keyword"></span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="keyword">-- VERSION: WM1.</span><span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="keyword">-- MODULE: altiobuf_bidir </span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="keyword">-- ============================================================</span><span class="keyword"></span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="keyword">-- <span class="vhdlkeyword">File</span> Name: DIF_IO_BIR.vhd</span><span class="keyword"></span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="keyword">-- Megafunction Name(s):</span><span class="keyword"></span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="keyword">--          altiobuf_bidir</span><span class="keyword"></span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="keyword">-- Simulation <span class="vhdlkeyword">Library</span> Files(s):</span><span class="keyword"></span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="keyword">--          arriav</span><span class="keyword"></span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="keyword">-- ============================================================</span><span class="keyword"></span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="keyword">-- ************************************************************</span><span class="keyword"></span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">-- THIS <span class="vhdlkeyword">IS</span> A WIZARD-GENERATED <span class="vhdlkeyword">FILE</span>. DO <span class="vhdlkeyword">NOT</span> EDIT THIS FILE!</span><span class="keyword"></span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="keyword">--</span><span class="keyword"></span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="keyword">-- </span><span class="vhdllogic">16</span>.<span class="vhdllogic">0</span>.<span class="vhdllogic">0</span> Build <span class="vhdllogic">211</span> 04/27/2016 SJ Standard Edition<span class="keyword"></span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">-- ************************************************************</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">--Copyright (C) 1991-2016 Altera Corporation. <span class="vhdlkeyword">All</span> rights reserved.</span><span class="keyword"></span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="keyword">--Your <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">of</span> Altera Corporation&#39;s design tools, logic functions </span><span class="keyword"></span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">--and other software <span class="vhdlkeyword">and</span> tools, <span class="vhdlkeyword">and</span> its AMPP partner logic </span><span class="keyword"></span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">--functions, <span class="vhdlkeyword">and</span> any output files from any <span class="vhdlkeyword">of</span> the foregoing </span><span class="keyword"></span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="keyword">--(including device programming <span class="vhdlkeyword">or</span> simulation files), <span class="vhdlkeyword">and</span> any </span><span class="keyword"></span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="keyword">--associated documentation <span class="vhdlkeyword">or</span> information are expressly subject </span><span class="keyword"></span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="keyword">--to the terms <span class="vhdlkeyword">and</span> conditions <span class="vhdlkeyword">of</span> the Altera Program License </span><span class="keyword"></span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="keyword">--Subscription Agreement, the Altera Quartus Prime License Agreement,</span><span class="keyword"></span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="keyword">--the Altera MegaCore <span class="vhdlkeyword">Function</span> License Agreement, <span class="vhdlkeyword">or</span> other </span><span class="keyword"></span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="keyword">--applicable license agreement, including, without limitation, </span><span class="keyword"></span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">--that your <span class="vhdlkeyword">use</span> <span class="vhdlkeyword">is</span> <span class="vhdlkeyword">for</span> the sole purpose <span class="vhdlkeyword">of</span> programming logic </span><span class="keyword"></span></div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">--devices manufactured by Altera <span class="vhdlkeyword">and</span> sold by Altera <span class="vhdlkeyword">or</span> its </span><span class="keyword"></span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="keyword">--authorized distributors.  Please refer <span class="vhdlkeyword">to</span> the applicable </span><span class="keyword"></span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">--agreement <span class="vhdlkeyword">for</span> further details.</span></div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">--altiobuf_bidir CBX_AUTO_BLACKBOX=&quot;ALL&quot; DEVICE_FAMILY=&quot;Arria V&quot; ENABLE_BUS_HOLD=&quot;FALSE&quot; NUMBER_OF_CHANNELS=1 OPEN_DRAIN_OUTPUT=&quot;FALSE&quot; USE_DIFFERENTIAL_MODE=&quot;TRUE&quot; USE_DYNAMIC_TERMINATION_CONTROL=&quot;FALSE&quot; USE_TERMINATION_CONTROL=&quot;FALSE&quot; datain dataio dataio_b dataout oe oe_b</span><span class="keyword"></span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="keyword">--VERSION_BEGIN </span><span class="vhdllogic">16</span>.<span class="vhdllogic">0</span> cbx_altiobuf_bidir <span class="vhdllogic">2016</span>:<span class="vhdllogic">04</span>:<span class="vhdllogic">27</span>:<span class="vhdllogic">18</span>:<span class="vhdllogic">05</span>:<span class="vhdllogic">34</span>:SJ cbx_mgl <span class="vhdllogic">2016</span>:<span class="vhdllogic">04</span>:<span class="vhdllogic">27</span>:<span class="vhdllogic">18</span>:<span class="vhdllogic">06</span>:<span class="vhdllogic">48</span>:SJ cbx_stratixiii <span class="vhdllogic">2016</span>:<span class="vhdllogic">04</span>:<span class="vhdllogic">27</span>:<span class="vhdllogic">18</span>:<span class="vhdllogic">05</span>:<span class="vhdllogic">34</span>:SJ cbx_stratixv <span class="vhdllogic">2016</span>:<span class="vhdllogic">04</span>:<span class="vhdllogic">27</span>:<span class="vhdllogic">18</span>:<span class="vhdllogic">05</span>:<span class="vhdllogic">34</span>:SJ  VERSION_END</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="vhdlkeyword"> LIBRARY </span><span class="keywordflow">arriav</span>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;<span class="vhdlkeyword"> USE </span><span class="keywordflow">arriav.all</span>;</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;<span class="keyword">--synthesis_resources = arriav_io_ibuf </span><span class="vhdllogic">1</span> arriav_io_obuf <span class="vhdllogic">2</span> arriav_pseudo_diff_out <span class="vhdllogic">1</span> </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="vhdlkeyword"> LIBRARY </span><span class="keywordflow">ieee</span>;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;<span class="vhdlkeyword"> USE </span>ieee.std_logic_1164.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="code" href="classDIF__IO__BIR__iobuf__bidir__knp.html">   47</a></span>&#160;<span class="keywordflow"> ENTITY  </span><a class="code" href="classDIF__IO__BIR__iobuf__bidir__knp.html">DIF_IO_BIR_iobuf_bidir_knp</a> <span class="vhdlkeyword">IS</span> </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;     <span class="vhdlkeyword">PORT</span> </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;     <span class="vhdlchar">(</span> </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;         <span class="vhdlchar">datain</span> <span class="vhdlchar">:</span>   <span class="vhdlkeyword">IN</span>  <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;         <span class="vhdlchar">dataio</span> <span class="vhdlchar">:</span>   <span class="vhdlkeyword">INOUT</span>  <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;         <span class="vhdlchar">dataio_b</span>   <span class="vhdlchar">:</span>   <span class="vhdlkeyword">INOUT</span>  <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;         <span class="vhdlchar">dataout</span>    <span class="vhdlchar">:</span>   <span class="vhdlkeyword">OUT</span>  <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;         <span class="vhdlchar">oe</span> <span class="vhdlchar">:</span>   <span class="vhdlkeyword">IN</span>  <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;         <span class="vhdlchar">oe_b</span>   <span class="vhdlchar">:</span>   <span class="vhdlkeyword">IN</span>  <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">:=</span> <span class="vhdlchar">(</span><span class="vhdlkeyword">OTHERS</span> <span class="vhdlchar">=</span><span class="vhdlchar">&gt;</span> <span class="vhdlchar">&#39;</span><span class="vhdllogic"></span><span class="vhdllogic">1</span><span class="vhdlchar">&#39;</span><span class="vhdlchar">)</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;     <span class="vhdlchar">)</span>; </div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160; <span class="vhdlkeyword">END</span> <span class="vhdlchar">DIF_IO_BIR_iobuf_bidir_knp</span>;</div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;</div>
<div class="line"><a name="l00059"></a><span class="lineno"><a class="code" href="classDIF__IO__BIR__iobuf__bidir__knp_1_1RTL.html">   59</a></span>&#160; <span class="vhdlkeyword">ARCHITECTURE</span> RTL <span class="vhdlkeyword">OF</span> <a class="code" href="classDIF__IO__BIR__iobuf__bidir__knp.html">DIF_IO_BIR_iobuf_bidir_knp</a> IS</div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_ibufa_o</span>   <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_obuf_ba_o</span> <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_obuf_ba_oe</span>    <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_pseudo_diffa_w_lg_oebout3w</span>    <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_obufa_o</span>   <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_obufa_oe</span>  <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_pseudo_diffa_w_lg_oeout2w</span> <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_pseudo_diffa_o</span>    <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_pseudo_diffa_obar</span> <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_pseudo_diffa_oebout</span>   <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_pseudo_diffa_oein</span> <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_w_lg_oe1w</span> <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;     <span class="vhdlkeyword">SIGNAL</span>  <span class="vhdlchar">wire_pseudo_diffa_oeout</span>    <span class="vhdlchar">:</span>   <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;     <span class="vhdlkeyword">COMPONENT</span>  arriav_io_ibuf</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;     <span class="vhdlkeyword">GENERIC</span> </div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;     (</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;        bus_hold    :   <span class="comment">STRING</span> := <span class="keyword">&quot;false&quot;</span>;</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        differential_mode   :   <span class="comment">STRING</span> := <span class="keyword">&quot;false&quot;</span>;</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;        simulate_z_as   :   <span class="comment">STRING</span> := <span class="keyword">&quot;z&quot;</span>;</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;        lpm_type    :   <span class="comment">STRING</span> := <span class="keyword">&quot;arriav_io_ibuf&quot;</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;     );</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;     <span class="vhdlkeyword">PORT</span></div>
<div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;     ( </div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;        dynamicterminationcontrol   :   <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span> := &#39;<span class="vhdllogic"></span><span class="vhdllogic">0</span>&#39;;</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        i   :   <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span> := &#39;<span class="vhdllogic"></span><span class="vhdllogic">0</span>&#39;;</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;        ibar    :   <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span> := &#39;<span class="vhdllogic"></span><span class="vhdllogic">0</span>&#39;;</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;        o   :   <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;     ); </div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;     <span class="vhdlkeyword">END</span> <span class="vhdlkeyword">COMPONENT</span>;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;     <span class="vhdlkeyword">COMPONENT</span>  arriav_io_obuf</div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;     <span class="vhdlkeyword">GENERIC</span> </div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;     (</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;        bus_hold    :   <span class="comment">STRING</span> := <span class="keyword">&quot;false&quot;</span>;</div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;        open_drain_output   :   <span class="comment">STRING</span> := <span class="keyword">&quot;false&quot;</span>;</div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;        shift_series_termination_control    :   <span class="comment">STRING</span> := <span class="keyword">&quot;false&quot;</span>;</div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;        lpm_type    :   <span class="comment">STRING</span> := <span class="keyword">&quot;arriav_io_obuf&quot;</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;     );</div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;     <span class="vhdlkeyword">PORT</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;     ( </div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;        dynamicterminationcontrol   :   <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span> := &#39;<span class="vhdllogic"></span><span class="vhdllogic">0</span>&#39;;</div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;        i   :   <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span> := &#39;<span class="vhdllogic"></span><span class="vhdllogic">0</span>&#39;;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        o   :   <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        obar    :   <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        oe  :   <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span> := &#39;<span class="vhdllogic"></span><span class="vhdllogic">1</span>&#39;;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        parallelterminationcontrol  :   <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span>(<span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">OTHERS</span> =&gt; &#39;<span class="vhdllogic"></span><span class="vhdllogic">0</span>&#39;);</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;        seriesterminationcontrol    :   <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span>(<span class="vhdllogic"></span><span class="vhdllogic">15</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>) := (<span class="vhdlkeyword">OTHERS</span> =&gt; &#39;<span class="vhdllogic"></span><span class="vhdllogic">0</span>&#39;)</div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;     ); </div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;     <span class="vhdlkeyword">END</span> <span class="vhdlkeyword">COMPONENT</span>;</div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;     <span class="vhdlkeyword">COMPONENT</span>  arriav_pseudo_diff_out</div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;     <span class="vhdlkeyword">PORT</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;     ( </div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;        dtc :   <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;        dtcbar  :   <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;        dtcin   :   <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span> := &#39;<span class="vhdllogic"></span><span class="vhdllogic">0</span>&#39;;</div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;        i   :   <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span> := &#39;<span class="vhdllogic"></span><span class="vhdllogic">0</span>&#39;;</div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;        o   :   <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;        obar    :   <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;        oebout  :   <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC</span>;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        oein    :   <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC</span> := &#39;<span class="vhdllogic"></span><span class="vhdllogic">0</span>&#39;;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        oeout   :   <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC</span></div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;     ); </div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;     <span class="vhdlkeyword">END</span> <span class="vhdlkeyword">COMPONENT</span>;</div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;<span class="vhdlkeyword"> BEGIN</span></div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;    <span class="vhdlchar">dataio</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">wire_obufa_o</span>;</div>
<div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;    <span class="vhdlchar">dataio_b</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">wire_obuf_ba_o</span>;</div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;    <span class="vhdlchar">dataout</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">wire_ibufa_o</span>;</div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;    ibufa :  arriav_io_ibuf</div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;      <span class="vhdlkeyword">GENERIC</span> <span class="vhdlkeyword">MAP</span> (</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;        bus_hold  =&gt; <span class="keyword">&quot;false&quot;</span>,</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;        differential_mode  =&gt; <span class="keyword">&quot;true&quot;</span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;      <span class="vhdlchar">)</span></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;      <span class="vhdlkeyword">PORT</span> <span class="vhdlkeyword">MAP</span> ( </div>
<div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        i  =&gt; dataio <span class="vhdlchar">(</span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>,</div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        ibar  =&gt; dataio_b <span class="vhdlchar">(</span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>,</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;        o  =&gt; wire_ibufa_o</div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;      <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;    <span class="vhdlchar">wire_obuf_ba_oe</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">wire_pseudo_diffa_w_lg_oebout3w</span>;</div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    <span class="vhdlchar">wire_pseudo_diffa_w_lg_oebout3w</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlkeyword">NOT</span> <span class="vhdlchar">wire_pseudo_diffa_oebout</span>;</div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    obuf_ba :  arriav_io_obuf</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;      <span class="vhdlkeyword">GENERIC</span> <span class="vhdlkeyword">MAP</span> (</div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;        bus_hold  =&gt; <span class="keyword">&quot;false&quot;</span>,</div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;        open_drain_output  =&gt; <span class="keyword">&quot;false&quot;</span></div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;      <span class="vhdlchar">)</span></div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;      <span class="vhdlkeyword">PORT</span> <span class="vhdlkeyword">MAP</span> ( </div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;        i  =&gt; wire_pseudo_diffa_obar,</div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;        o  =&gt; wire_obuf_ba_o,</div>
<div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;        oe  =&gt; wire_obuf_ba_oe<span class="vhdlchar">(</span><span class="vhdllogic">0</span><span class="vhdlchar">)</span></div>
<div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;      <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;    <span class="vhdlchar">wire_obufa_oe</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">wire_pseudo_diffa_w_lg_oeout2w</span>;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;    <span class="vhdlchar">wire_pseudo_diffa_w_lg_oeout2w</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlkeyword">NOT</span> <span class="vhdlchar">wire_pseudo_diffa_oeout</span>;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;    obufa :  arriav_io_obuf</div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;      <span class="vhdlkeyword">GENERIC</span> <span class="vhdlkeyword">MAP</span> (</div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        bus_hold  =&gt; <span class="keyword">&quot;false&quot;</span>,</div>
<div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;        open_drain_output  =&gt; <span class="keyword">&quot;false&quot;</span></div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;      <span class="vhdlchar">)</span></div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;      <span class="vhdlkeyword">PORT</span> <span class="vhdlkeyword">MAP</span> ( </div>
<div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;        i  =&gt; wire_pseudo_diffa_o,</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;        o  =&gt; wire_obufa_o,</div>
<div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;        oe  =&gt; wire_obufa_oe<span class="vhdlchar">(</span><span class="vhdllogic">0</span><span class="vhdlchar">)</span></div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;      <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <span class="vhdlchar">wire_pseudo_diffa_oein</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">wire_w_lg_oe1w</span>;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    <span class="vhdlchar">wire_w_lg_oe1w</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span> <span class="vhdlchar">&lt;=</span> <span class="vhdlkeyword">NOT</span> <span class="vhdlchar">oe</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;    pseudo_diffa :  arriav_pseudo_diff_out</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;      <span class="vhdlkeyword">PORT</span> <span class="vhdlkeyword">MAP</span> ( </div>
<div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;        i  =&gt; datain <span class="vhdlchar">(</span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>,</div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;        o  =&gt; wire_pseudo_diffa_o,</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;        obar  =&gt; wire_pseudo_diffa_obar,</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;        oebout  =&gt; wire_pseudo_diffa_oebout ,</div>
<div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;        oein  =&gt; wire_pseudo_diffa_oein<span class="vhdlchar">(</span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>,</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;        oeout  =&gt; wire_pseudo_diffa_oeout</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;      <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;</div>
<div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160; <span class="vhdlkeyword">END</span> <span class="vhdlchar">RTL</span>;<span class="keyword"> --DIF_IO_BIR_iobuf_bidir_knp</span><span class="keyword"></span></div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;<span class="keyword">--VALID <span class="vhdlkeyword">FILE</span></span></div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;</div>
<div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;<span class="vhdlkeyword">LIBRARY </span><span class="keywordflow">ieee</span>;</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;<span class="vhdlkeyword">USE </span>ieee.std_logic_1164.<span class="vhdlkeyword">all</span>;</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;</div>
<div class="line"><a name="l00181"></a><span class="lineno"><a class="code" href="classDIF__IO__BIR.html">  181</a></span>&#160;<span class="keywordflow">ENTITY </span><a class="code" href="classDIF__IO__BIR.html">DIF_IO_BIR</a> <span class="vhdlkeyword">IS</span></div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    <span class="vhdlkeyword">PORT</span></div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    <span class="vhdlchar">(</span></div>
<div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;        <span class="vhdlchar">datain</span>      <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;        <span class="vhdlchar">oe</span>      <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;        <span class="vhdlchar">oe_b</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;        <span class="vhdlchar">dataio</span>      <span class="vhdlchar">:</span> <span class="vhdlkeyword">INOUT</span> <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;        <span class="vhdlchar">dataio_b</span>        <span class="vhdlchar">:</span> <span class="vhdlkeyword">INOUT</span> <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;        <span class="vhdlchar">dataout</span>     <span class="vhdlchar">:</span> <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span></div>
<div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlchar">DIF_IO_BIR</span>;</div>
<div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;</div>
<div class="line"><a name="l00194"></a><span class="lineno"><a class="code" href="classdif__io__bir_1_1RTL.html">  194</a></span>&#160;<span class="vhdlkeyword">ARCHITECTURE</span> RTL <span class="vhdlkeyword">OF</span> dif_io_bir IS</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;    <span class="vhdlkeyword">SIGNAL</span> <span class="vhdlchar">sub_wire0</span>    <span class="vhdlchar">:</span> <span class="comment">STD_LOGIC_VECTOR</span> <span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    <span class="vhdlkeyword">COMPONENT</span> <a class="code" href="classDIF__IO__BIR__iobuf__bidir__knp.html">DIF_IO_BIR_iobuf_bidir_knp</a></div>
<div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    <span class="vhdlkeyword">PORT</span> (</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;            datain  : <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span> (<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;            oe  : <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span> (<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;            oe_b    : <span class="vhdlkeyword">IN</span> <span class="comment">STD_LOGIC_VECTOR</span> (<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;            dataout : <span class="vhdlkeyword">OUT</span> <span class="comment">STD_LOGIC_VECTOR</span> (<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;            dataio  : <span class="vhdlkeyword">INOUT</span> <span class="comment">STD_LOGIC_VECTOR</span> (<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>);</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;            dataio_b    : <span class="vhdlkeyword">INOUT</span> <span class="comment">STD_LOGIC_VECTOR</span> (<span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span>)</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    );</div>
<div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    <span class="vhdlkeyword">END</span> <span class="vhdlkeyword">COMPONENT</span>;</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;<span class="vhdlkeyword">BEGIN</span></div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    <span class="vhdlchar">dataout</span>    <span class="vhdlchar">&lt;=</span> <span class="vhdlchar">sub_wire0</span><span class="vhdlchar">(</span><span class="vhdllogic"></span><span class="vhdllogic">0</span> <span class="vhdlkeyword">DOWNTO</span> <span class="vhdllogic"></span><span class="vhdllogic">0</span><span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    DIF_IO_BIR_iobuf_bidir_knp_component : <a class="code" href="classDIF__IO__BIR__iobuf__bidir__knp.html">DIF_IO_BIR_iobuf_bidir_knp</a></div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    <span class="vhdlkeyword">PORT</span> <span class="vhdlkeyword">MAP</span> (</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;        datain  =&gt; datain ,</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;        oe  =&gt; oe,</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;        oe_b  =&gt; oe_b,</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;        dataout  =&gt; sub_wire0,</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;        dataio  =&gt; dataio ,</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;        dataio_b  =&gt; dataio_b</div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    <span class="vhdlchar">)</span>;</div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;<span class="vhdlkeyword">END</span> <span class="vhdlchar">RTL</span>;</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;<span class="keyword"></span></div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;<span class="keyword">-- ============================================================</span><span class="keyword"></span></div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;<span class="keyword">-- CNX <span class="vhdlkeyword">file</span> retrieval info</span><span class="keyword"></span></div>
<div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;<span class="keyword">-- ============================================================</span><span class="keyword"></span></div>
<div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: INTENDED_DEVICE_FAMILY <span class="comment">STRING</span> &quot;Arria V&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00232"></a><span class="lineno">  232</span>&#160;<span class="keyword">-- Retrieval info: PRIVATE: SYNTH_WRAPPER_GEN_POSTFIX <span class="comment">STRING</span> &quot;0&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00233"></a><span class="lineno">  233</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">LIBRARY</span>: altera_mf altera_mf.altera_mf_components.<span class="vhdlkeyword">all</span></span><span class="keyword"></span></div>
<div class="line"><a name="l00234"></a><span class="lineno">  234</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: INTENDED_DEVICE_FAMILY <span class="comment">STRING</span> &quot;Arria V&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00235"></a><span class="lineno">  235</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: enable_bus_hold <span class="comment">STRING</span> &quot;FALSE&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00236"></a><span class="lineno">  236</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: left_shift_series_termination_control <span class="comment">STRING</span> &quot;FALSE&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00237"></a><span class="lineno">  237</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: number_of_channels NUMERIC &quot;1&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00238"></a><span class="lineno">  238</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: open_drain_output <span class="comment">STRING</span> &quot;FALSE&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00239"></a><span class="lineno">  239</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: use_differential_mode <span class="comment">STRING</span> &quot;TRUE&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00240"></a><span class="lineno">  240</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: use_dynamic_termination_control <span class="comment">STRING</span> &quot;FALSE&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00241"></a><span class="lineno">  241</span>&#160;<span class="keyword">-- Retrieval info: <span class="vhdlkeyword">CONSTANT</span>: use_termination_control <span class="comment">STRING</span> &quot;FALSE&quot;</span><span class="keyword"></span></div>
<div class="line"><a name="l00242"></a><span class="lineno">  242</span>&#160;<span class="keyword">-- Retrieval info: USED_PORT: datain </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span> INPUT NODEFVAL &quot;datain[0..0]&quot;<span class="keyword"></span></div>
<div class="line"><a name="l00243"></a><span class="lineno">  243</span>&#160;<span class="keyword">-- Retrieval info: USED_PORT: dataio </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span> BIDIR NODEFVAL &quot;dataio[0..0]&quot;<span class="keyword"></span></div>
<div class="line"><a name="l00244"></a><span class="lineno">  244</span>&#160;<span class="keyword">-- Retrieval info: USED_PORT: dataio_b </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span> BIDIR NODEFVAL &quot;dataio_b[0..0]&quot;<span class="keyword"></span></div>
<div class="line"><a name="l00245"></a><span class="lineno">  245</span>&#160;<span class="keyword">-- Retrieval info: USED_PORT: dataout </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span> OUTPUT NODEFVAL &quot;dataout[0..0]&quot;<span class="keyword"></span></div>
<div class="line"><a name="l00246"></a><span class="lineno">  246</span>&#160;<span class="keyword">-- Retrieval info: USED_PORT: oe </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span> INPUT NODEFVAL &quot;oe[0..0]&quot;<span class="keyword"></span></div>
<div class="line"><a name="l00247"></a><span class="lineno">  247</span>&#160;<span class="keyword">-- Retrieval info: USED_PORT: oe_b </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span> INPUT NODEFVAL &quot;oe_b[0..0]&quot;<span class="keyword"></span></div>
<div class="line"><a name="l00248"></a><span class="lineno">  248</span>&#160;<span class="keyword">-- Retrieval info: CONNECT: @datain </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span> datain <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00249"></a><span class="lineno">  249</span>&#160;<span class="keyword">-- Retrieval info: CONNECT: @oe </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span> oe <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00250"></a><span class="lineno">  250</span>&#160;<span class="keyword">-- Retrieval info: CONNECT: @oe_b </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span> oe_b <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00251"></a><span class="lineno">  251</span>&#160;<span class="keyword">-- Retrieval info: CONNECT: dataio </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span> @dataio <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00252"></a><span class="lineno">  252</span>&#160;<span class="keyword">-- Retrieval info: CONNECT: dataio_b </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span> @dataio_b <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00253"></a><span class="lineno">  253</span>&#160;<span class="keyword">-- Retrieval info: CONNECT: dataout </span><span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span> @dataout <span class="vhdllogic">0</span> <span class="vhdllogic">0</span> <span class="vhdllogic">1</span> <span class="vhdllogic">0</span><span class="keyword"></span></div>
<div class="line"><a name="l00254"></a><span class="lineno">  254</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL DIF_IO_BIR.vhd TRUE</span><span class="keyword"></span></div>
<div class="line"><a name="l00255"></a><span class="lineno">  255</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL DIF_IO_BIR.inc FALSE</span><span class="keyword"></span></div>
<div class="line"><a name="l00256"></a><span class="lineno">  256</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL DIF_IO_BIR.cmp TRUE</span><span class="keyword"></span></div>
<div class="line"><a name="l00257"></a><span class="lineno">  257</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL DIF_IO_BIR.bsf FALSE</span><span class="keyword"></span></div>
<div class="line"><a name="l00258"></a><span class="lineno">  258</span>&#160;<span class="keyword">-- Retrieval info: GEN_FILE: TYPE_NORMAL DIF_IO_BIR_inst.vhd FALSE</span><span class="keyword"></span></div>
<div class="line"><a name="l00259"></a><span class="lineno">  259</span>&#160;<span class="keyword">-- Retrieval info: LIB_FILE: arriav</span></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:30 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
